// Text selection
$selected_fg_color: #fff;
$selected_bg_color: #5294e2;

// State colors
$warning_bg_color: #f27835;
$warning_fg_color: white;

$error_bg_color: #fc4138;
$error_fg_color: white;

$success_bg_color: #73d216;
$success_fg_color: white;

$destructive_bg_color: #f04a50;
$destructive_fg_color: white;

$suggested_bg_color: #4dadd4;
$suggested_fg_color: white;

// All Sidebar
$sidebar_bg: #353945;
$sidebar_fg: #bac3cf;

// All Panels
$panel_fg: $sidebar_fg;
$panel_bg: darken($sidebar_bg, 4.7%);

:root {

  // Element selection
  --selection_fg: #{$selected_fg_color};
  --selection_bg: #{$selected_bg_color};

  // States
  --notice-warning-fg: #{$warning_fg_color};
  --notice-warning-bg: #{$warning_bg_color};
  --notice-error-fg: #{$error_fg_color};
  --notice-error-bg: #{$error_bg_color};
  --notice-success-fg: #{$success_fg_color};
  --notice-success-bg: #{$success_bg_color};
  --notice-destructive-fg: #{$destructive_fg_color};
  --notice-destructive-bg: #{$destructive_bg_color};
  --notice-suggested-fg: #{$suggested_fg_color};
  --notice-suggested-bg: #{$suggested_bg_color};

  // Sidebars and panels
  --sidebar-bg: #{$sidebar_bg};
  --sidebar-fg: #{$sidebar_fg};
}
